// HelpDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Solar.h"
#include "HelpDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// HelpDlg dialog


HelpDlg::HelpDlg(CWnd* pParent /*=NULL*/)
	: CDialog(HelpDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(HelpDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void HelpDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(HelpDlg)
	DDX_Control(pDX, IDC_INSTRUCTIONS, m_Instructions);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(HelpDlg, CDialog)
	//{{AFX_MSG_MAP(HelpDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// HelpDlg message handlers

BOOL HelpDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_Instructions.AddString("TO PLACE A BODY:");
	m_Instructions.AddString("Click and drag with the left mouse button");
	m_Instructions.AddString("to place a body in space and assign");
	m_Instructions.AddString("an initial velocity vector.  The longer");
	m_Instructions.AddString("the vector, the faster the initial velocity.");
	m_Instructions.AddString("");
	m_Instructions.AddString("Once the body is placed, the Properties");
	m_Instructions.AddString("dialog will pop up allowing changes to its");
	m_Instructions.AddString("mass, velocity and color.");
	m_Instructions.AddString("");
	m_Instructions.AddString("TO MODIFY A BODY:");
	m_Instructions.AddString("Right click on a body to pop up the Properties");
	m_Instructions.AddString("dialog.");
	m_Instructions.AddString("");
	m_Instructions.AddString("TO CONTROL THE SIMULATION:");
	m_Instructions.AddString("Slide the delta-t control to vary the time step");
	m_Instructions.AddString("from 1 to 100,000 seconds.  1 second intervals");
	m_Instructions.AddString("are most accurate but slowest.  Bigger steps");
	m_Instructions.AddString("are faster but only approximate reality.");
	m_Instructions.AddString("The current value of delta-t is shown on the");
	m_Instructions.AddString("status bar below the slider.");
	m_Instructions.AddString("");
	m_Instructions.AddString("Slide the G control to vary the gravitational");
	m_Instructions.AddString("constant of the universe.");
	m_Instructions.AddString("The current value of G is shown on the status");
	m_Instructions.AddString("bar below the slider.");
	m_Instructions.AddString("");
	m_Instructions.AddString("Use the Go and Stop buttons, or the Go");
	m_Instructions.AddString("and Stop menu commands to start and pause");
	m_Instructions.AddString("the simulation.  These commands are");
	m_Instructions.AddString("enabled after the first body is created.");
		
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
