// Planet.h: interface for the Planet class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLANET_H__B686C56F_9C3F_11D3_9889_0040056D374E__INCLUDED_)
#define AFX_PLANET_H__B686C56F_9C3F_11D3_9889_0040056D374E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

static int	m_PlanetCount = 0;

class Planet  
{
public:
	double getYSpeed();
	double getXSpeed();
	double getYLoc();
	double getXLoc();
	void addXSpeed(double velocity);
	void addYSpeed(double velocity);
	void setYSpeed(double velocity);
	void setXSpeed(double velocity);
	void Tick(double step);
	CRect m_Rect;
	CRect getRect();
	void setColor(COLORREF color);
	COLORREF getColor();
	double getMass();
	CPoint getDispPos();
	void setPos(CPoint point);
	void setMass(double mass);
	Planet();
	Planet(const Planet &copy);						// copy ctor
	const Planet& operator=(const Planet &right);	// = operator
	virtual ~Planet();

private:
	void MakeRect();
	COLORREF m_Color;
	CPoint m_DispPos;
	double m_Mass;
	double m_xSpeed;
	double m_ySpeed;
	double m_xLocation;
	double m_yLocation;
};

#endif // !defined(AFX_PLANET_H__B686C56F_9C3F_11D3_9889_0040056D374E__INCLUDED_)
