#if !defined(AFX_PROPDLG_H__B686C575_9C3F_11D3_9889_0040056D374E__INCLUDED_)
#define AFX_PROPDLG_H__B686C575_9C3F_11D3_9889_0040056D374E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PropDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// PropDlg dialog

class PropDlg : public CDialog
{
// Construction
public:
	int m_BodyNum;
	void SetRemovable(BOOL removable);
	void SetColor(COLORREF color);
	void SetSpeed(double xspeed, double yspeed);
	void SetMass(double mass);
	COLORREF m_Color;
	BOOL m_bRemovable;
	CString m_csTitle;
	void SetBodyNum(int num);
	void SetVelocity(CPoint start, CPoint end);
	void SetPosition(CPoint point);
	PropDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(PropDlg)
	enum { IDD = IDD_PROPERTIES };
	CEdit	m_YVelCtrl;
	CEdit	m_XVelCtrl;
	CSpinButtonCtrl	m_YSpin;
	CSpinButtonCtrl	m_XSpin;
	CButton	m_RemoveButton;
	CSliderCtrl	m_MassSlider;
	CString	m_csMassDisplay;
	CString	m_csXVelocity;
	CString	m_csYVelocity;
	CString	m_csXPos;
	CString	m_csYPos;
	//}}AFX_DATA
	double m_Mass;
	double m_XVel;
	double m_YVel;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(PropDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(PropDlg)
	afx_msg void OnColor();
	afx_msg void OnRemove();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnChangeXvelocity();
	afx_msg void OnChangeYvelocity();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPDLG_H__B686C575_9C3F_11D3_9889_0040056D374E__INCLUDED_)
